Message Queue, v4.5.1 API Specification

## com.sun.messaging
Class ReadOnlyPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  com.sun.messaging.ReadOnlyPropertyException

All Implemented Interfaces:
  Serializable

    public class ReadOnlyPropertyException

extends JMSException

A `ReadOnlyPropertyException` is thrown when an attempt is made to modify a JMQ `AdministeredObject` that has been set to read only.

See Also:
  `javax.jms.ConnectionFactory`, `com.sun.messaging.AdministeredObject.setReadOnly()`, Serialized Form

Constructor Summary
`ReadOnlyPropertyException(String property)` Constructs a ReadOnlyPropertyException.

Method Summary

Methods inherited from class javax.jms.JMSException
`getErrorCode, getLinkedException, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadOnlyPropertyException

    public ReadOnlyPropertyException(String property)

  Constructs a ReadOnlyPropertyException.

  Parameters:
    `property` - The property being modified.

Message Queue, v4.5.1 API Specification

Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.